org.apache.hc.client5.http.impl

## Class RequestCopier

- java.lang.Object
- - org.apache.hc.client5.http.impl.RequestCopier

All Implemented Interfaces:
  MessageCopier<org.apache.hc.core5.http.HttpRequest>

Deprecated.
Use `BasicRequestBuilder`

    @Deprecated
    public final class RequestCopier
    extends Object
    implements MessageCopier<org.apache.hc.core5.http.HttpRequest>

`HttpRequest` copier.

Since:
  5.0

### Field Summary

Fields
`static RequestCopier` `INSTANCE` Deprecated. Default instance of `RequestCopier`.

### Constructor Summary

Constructors
Constructor and Description
`RequestCopier()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`org.apache.hc.core5.http.HttpRequest` `copy(org.apache.hc.core5.http.HttpRequest original)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final RequestCopier INSTANCE

Deprecated.
Default instance of `RequestCopier`.

### Constructor Detail

#### RequestCopier

    public RequestCopier()

Deprecated.

### Method Detail

#### copy

    public org.apache.hc.core5.http.HttpRequest copy(org.apache.hc.core5.http.HttpRequest original)

Deprecated.

Specified by:
  `copy` in interface `MessageCopier<org.apache.hc.core5.http.HttpRequest>`